Get Loyalty Rule Chains
curl --request GET \
--url https://admin.snagsolutions.io/api/loyalty/rule_chains \
--header 'X-API-KEY: <api-key>'import requests
url = "https://admin.snagsolutions.io/api/loyalty/rule_chains"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://admin.snagsolutions.io/api/loyalty/rule_chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174001",
"name": "My Rule Chain",
"loyaltyRuleId": "123e4567-e89b-12d3-a456-426614174111",
"loyaltyConditions": [
{
"id": "123e4567-e89b-12d3-a456-426614174001",
"type": "rule",
"description": "My Condition",
"amount": 100,
"repeatCount": 1,
"requiredCount": 1,
"csvUrl": "https://example.com/csv",
"association": [
{
"id": "123e4567-e89b-12d3-a456-426614174001",
"loyaltyRuleGroupId": "123e4567-e89b-12d3-a456-426614174001",
"loyaltyRuleId": "123e4567-e89b-12d3-a456-426614174111",
"loyaltyCurrencyId": "123e4567-e89b-12d3-a456-426614174001",
"loyaltyBadgeId": "123e4567-e89b-12d3-a456-426614174001",
"loyaltyRule": {
"name": "My Loyalty Rule"
},
"loyaltyCurrency": {
"name": "My Loyalty Currency"
}
}
]
}
],
"operatorType": "AND"
}
],
"hasNextPage": true
}"Forbidden, Could not validate api key"Loyalty
Get Loyalty Rule Chains
Retrieve configured loyalty rule chains
GET
/
api
/
loyalty
/
rule_chains
Get Loyalty Rule Chains
Authorizations
Query Parameters
Unique identifier for the organization
Example:
"123e4567-e89b-12d3-a456-426614174001"
Unique identifier for the website
Example:
"123e4567-e89b-12d3-a456-426614174002"
Number of rule chains to return
Required range:
1 <= x <= 100Example:
10
Starting after the given rule chain ID
Example:
"123e4567-e89b-12d3-a456-426614174002"
Was this page helpful?
⌘I